<<template>
  <basic-container>
    <avue-crud ref="crud"
               v-model="form"
               :data="data"
               :option="option"
               @on-load="getList"
               @row-del="rowDel"
               @refresh-change="refreshChange"
               @row-save="rowSave"
    >
    </avue-crud>
  </basic-container>
</template>

<script>
export default {
  name: "Torelationpackage.vue",
  data(){
    return {
      lifeList:"",
      data:[
        {
          name:"测试1",
        },
        {
          name:"测试2",
        },
        {
          name:"测试3",
        },
        {
          name:"测试4",
        },
      ],
      form:{},
      option:{
        height:300,
        headerAlign:'center',
        align: 'center',
        border: true,
        editBtn:false,
        index: true,
        indexFixed:false,
        menuFixed:false,
        column:[
          {
            label:"To端类型",
            prop:"name",
          },
        ]
      }
    }
  },
  methods:{
    // getList () {
    //   this.loading = true;
    //   const data = Object.assign({
    //     pageNum: this.page.currentPage,
    //     pageSize: this.page.pageSize,
    //   }, this.params)
    //   this.data = [];
    //   getList(data).then(res => {
    //     const data = res.data.data
    //     this.loading = false;
    //     this.page.total = data.total;
    //     const result = data.list;
    //     this.data = result;
    //   })
    // },
    //搜索
    rowSave(row, done, loading) {
      add(Object.assign({
        createUser: this.userInfo.name
      }, row)).then(() => {
        this.$message.success('新增成功')
        done();
        this.getList();
      }).catch(() => {
        loading()
      })
    },
    rowDel(row) {
      this.$confirm('此操作将永久删除, 是否继续?', '提示', {
        confirmButtonText: '确定',
        cancelButtonText: '取消',
        type: 'warning'
      }).then(() => {
        return del(row.id)
      }).then(() => {
        this.$message.success('删除成功')
        this.getList();
      })
    },
  }
}
</script>

<style scoped>

</style>
